Subject: Re: Too many files for: rm *.txt ??
From: Andrew Markebo <[email-masked]>
To: Axel Kowald <[email-masked]>
Cc: [email-masked]
Date: 28 May 2001 12:50:04 +0200

This is a problem due to a 'restriction' of your shell.. Solution.. do
something like 'find . -name "*.txt" | xargs rm ' which splits the
lists and runs many rm's.. 

        /Andy

/ Axel Kowald <[email-masked]> wrote:
| Hello,
| 
| I'm using tcsh (6.10) under cygwin 1.1.8 and everything runs nicely.
| However, when I try to delete >5500 files using rm *.txt I get
| "/usr/bin/rm: Invalid argument". It seems that the shell or rm can't
| handle so many files.
| 
| Is this a known problem and what can I do about it ?
| 
| Many thanks,
| 
| 	Axel
| 
| --
| Want to unsubscribe from this list?
| Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple